@charset "utf-8";
/**
* Available vars:
* @var --viewport-from: <number> - Number in pixels without the unit. Required if `--font-size` is not exist.
* @var --viewport-to: <number> - Number in pixels without the unit. Required if `--font-size` is not exist.
* @var --font-size-from: <number> - Number in pixels without the unit. Required if `--font-size` and `--min-font-size` is not exist.
* @var --font-size-to: <number> - Number in pixels without the unit. Required if `--font-size` and `--max-font-size` is not exist.
* @var --max-font-size: <number> - Number in pixels without the unit. Optional.
* @var --min-font-size: <number> - Number in pixels without the unit. Optional.
* @var --viewport-unit-converter: 1vw | 1vh | 1vmin | 1vmax - Optional. Default: 1vw.
* @var --font-size: <length> | <percentage> | <absolute-size> | <relative-size> | Global values - Optional.
*/
*,
*::before,
*::after {
    box-sizing: border-box;
  /* --viewport-unit-converter: 1vw;
  --fz-from: var(--font-size-from, var(--min-font-size));
  --fz-to: var(--font-size-to, var(--max-font-size));
  --fz-slope: (var(--fz-to) - var(--fz-from)) / (var(--viewport-to) - var(--viewport-from)) * 100;
  --fz-intercept: (var(--viewport-to) * var(--fz-from) - var(--viewport-from) * var(--fz-to)) / (var(--viewport-to) - var(--viewport-from));
  --font-size: calc(var(--fz-slope) * var(--viewport-unit-converter) + var(--fz-intercept) * 1px);

  --min-fz-px: calc(var(--min-font-size) * 1px);
  --max-fz-px: calc(var(--max-font-size) * 1px);
  --clamp: clamp(var(--min-fz-px), var(--font-size), var(--max-fz-px));
  --max: var(--has-max, var(--min));
  --min: var(--has-min, var(--font-size));
  --has-max: min(var(--max-fz-px), var(--font-size));
  --has-min: max(var(--min-fz-px), var(--font-size));

  font-size: var(--clamp, var(--max)); */
}
/* body {
    --font-size: 1rem;
}
.header {
    width: 60%;
    background: yellow;
    border: 1px solid #000;
    margin: 20px;
    height: 500px;
    padding: 50px;


}
.header h1 {
    font-size: 16px;
    --viewport-from: 500;
    --viewport-to: 1000;
    --font-size-from: 25;
    --font-size-to: 35;
    font-size: var(--clamp, var(--max));
} */


body {
    font-family: Arial, sans-serif;
    background-color: #2d2247;
    color: #fff;
    text-align: center;
    padding: 20px;
}
.container {
    max-width: 1000px;
    margin: 0 auto;
    background-color: #3c2a69;
    padding: 20px;
    border-radius: 10px;
    font-size: 20px;
}
.container h1 {
    font-size: 30px;
    margin-bottom: 1em;
    font-weight: bold;
}
input[type="number"] {
    width: 120px;
    padding: 15px 20px;
    margin: 10px;
    border-radius: 15px;
    border: 1px solid #ddd;
    background: #2d2247;
    color: #fff;
    font-size: 25px;
    font-weight: bold;
}
.arrow{
    display: inline-block;
    width: 20px;
    height: 20px;
    border: 5px solid;
    border-color: #fff #fff transparent transparent;
    transform: rotate(45deg);
    margin-right: 1em;
  }
.output {
    margin-top: 20px;
    padding: 20px 20px;
    background-color: #493083;
    border-radius: 30px;
    font-size: 1.2em;
}
.copy-button {
    margin-top: 10px;
    padding: 10px;
    background-color: rgb(0, 119, 255);
    border: none;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    transition: background-color .2s ease-out;
}
.copy-button:hover {
    background-color: #0f4d8a;
}
.valueInSomeSize {
    margin-top: 1em;
    margin-bottom: 1em;
    width: 100%;
    display: flex;
    align-items: stretch;
    justify-content: center;
    gap: 10px;
}
.valueInSomeSize > div {
    background: #3c2a69;
    padding: 20px;
    border-radius: 20px;
}
.valueInSomeSize > div > p {
    margin-bottom: 1em;
}
.valueInSomeSize span {
    font-size: 30px;
    font-weight: bold;
}
.example {
    margin: 0 auto;
    padding: 2em 0;
    border-radius: 30px;
    width: 80%;
    max-width: 1000px;
    background: #493083;
}
.example p:last-child {
    margin-top: 1em;
}
.orange {
    color: orange;
}